# Native Token API

Ontology uses a dual token (ONT and ONG) model. ONT is a coin and can be used for staking in consensus, whereas ONG is a utility token used for on-chain services.

The decimals of both tokens has experienced a change. Now ONT has 9 decimals, and ONG has 18 decimals. API methods with a suffix of "V2" in their names are designed to accommodate this change.  &#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ont.io/developer-tools/api/native-token-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
